const sequelize = require('../db');
const {DataTypes} = require('sequelize');

const Property = sequelize.define('property', {
    telegram_id: {type: DataTypes.STRING, primaryKey: true, unique: true},
    house: {type: DataTypes.JSON, defaultValue: 0},
    car: {type: DataTypes.JSON, defaultValue: 0},
    mobile: {type: DataTypes.JSON, defaultValue: 0},
    weapon: {type: DataTypes.JSON, defaultValue: 0},
    equipment: {type: DataTypes.JSON, defaultValue: 0}
})

module.exports = Property;
