const {
    Scenes,
    Markup
} = require('telegraf')

const crime = new Scenes.BaseScene('Crime');

crime.enter((ctx) => {
    ctx.reply('Scene: Выберите ограбление', Markup.inlineKeyboard([
      [
        {text: 'Карманные кражи [SOLO]', callback_data: `POCKET_ACTION`}, 
        {text: 'Магазин', callback_data: `heist`}, 
        {text: 'Банкомат', callback_data: `heist`}, 
        {text: 'Банковское отделение', callback_data: `heist`}, 
        {text: 'Угон', callback_data: `heist`}, 
        {text: 'Ювелирка', callback_data: `heist`}, 
        {text: 'Банк', callback_data: `heist`}
    ]
  ]))
});

crime.action(`POCKET_ACTION`, (ctx) => {
  ctx.editMessageText('Scene: Выберите объект', Markup.inlineKeyboard([
    [
      {text: 'Карман', callback_data: `POCKET_TARGET`}, 
      {text: 'Бумажник', callback_data: `heist`}, 
      {text: 'Сумка', callback_data: `heist`}
  ]
]))
});

crime.action(`POCKET_TARGET`, (ctx) => {
  if(Math.random() < 0.5) return ctx.editMessageText('Scene: Замечен');
  ctx.editMessageText('Scene: В кармане обнаружено', Markup.inlineKeyboard([
    [
      {text: 'Деньги', callback_data: `MONEY`}, 
      {text: 'Телефон', callback_data: `PHONE`}
  ]
]))
});

crime.action(`MONEY`, (ctx) => {
  if(Math.random() < 0.5) return ctx.editMessageText('Scene: Замечен');
  return ctx.editMessageText('Scene: Успех MONEY')
});

crime.action(`PHONE`, (ctx) => {
  if(Math.random() < 0.5) return ctx.editMessageText('Scene: Замечен');
  return ctx.editMessageText('Scene: Успех PHONE')
});

crime.leave((ctx) => {
  console.log('Завершено');
}); 

module.exports = crime