const {
    UserModel,
    topSym
} = require('/workspace/degradin/Dev/Telegram/CampFire Play/config')
const {
    spaces
} = require('/workspace/degradin/Dev/Telegram/CampFire Play/utils')
const sequelize = require('../db');
const { Op } = require('sequelize');

module.exports = async (ctx) => {
    let topPlayer = await UserModel.findAll({
        attributes: ['name', [sequelize.fn('sum', sequelize.col('money')), 'money'], 'status'],
        group: ['name', 'status'],
        where: {
            telegram_id: {
                [Op.ne]: 275416286
            }
        },
        order: [
            [sequelize.literal('money'), 'DESC']
        ],
        limit: 10
    })
    let text = `🏆 Топ 10 игроков по балансу.\n\n`
    for(i=0; i<topPlayer.length; i++){
        text += `${topSym[i]}. ${topPlayer[i].status == 'bronze' ? `[🔺]` : ""}${topPlayer[i].status == 'silver' ? `[🔹]` : ""}${topPlayer[i].status == 'gold' ? `[🔸]` : ""} ${topPlayer[i].name} [₽${spaces(topPlayer[i].money)}]\n`
    }
    return await ctx.reply(text)
}